For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get All Billers

The "Get All Billers" endpoint allows customers to retrieve the full list of available billers and their packages.

GET /api/Bills/v1/Billers

To retrieve all billers, simply make a GET request to this endpoint, no request body is required.

Headers

Name
Value

Content-Type*

application/json

Authorization*

Bearer

Request-Reference

{unique_reference}

Here is an example request and response with a sample payload sent to the endpoint in Curl format.

Sample Request
curl --location -g '{{baseurl}}/api/Bills/v1/Billers' \
--header 'Authorization: bearer {token}' \
--header 'request-reference: {unique_reference}' \
--header 'Content-Type: application/json' \
--data ''
Response: 200
{
  "status": true,
  "message": "string",
  "data": {
    "items": [
      {
        "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "name": "string",
        "logoUrl": "string",
        "billType": "string",
        "billers": [
          {
            "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
            "name": "string",
            "identifier": "string",
            "logoUrl": "string",
            "billerCategoryId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
            "billType": "string",
            "packages": [
              {
                "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
                "name": "string",
                "identifier": "string",
                "billerId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
                "amount": 0
              }
            ]
          }
        ]
      }
    ]
  }
}

Last updated